package {{.Option "name"}}

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"{{.Option "module"}}/model"
)

type {{.Option "table"}} struct {
	Table
	{{.Option "class"}}     {{.Option "class"}}
	user{{.Option "Class"}} user{{.Option "Class"}}
	portal    string `data:"true"`
	create    string `name:"create title* content*" role:"void"`
}

func (s {{.Option "table"}}) Create(m *ice.Message, arg ...string) {
	if s.checkRole(m) {
		s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.{{.Option "CLASS"}}_UID))...)
		s.recordEvent(m, m.Trans("create {{.Option "table"}} ", "创建场景数据 ")+m.Option(model.TITLE), m.Result())
	}
}
func (s {{.Option "table"}}) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.user{{.Option "Class"}}, s.{{.Option "class"}}, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd({{.Option "table"}}{}) }
