package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	TYPE            = "type"
	ROLE            = "role"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_{{.Option "CLASS"}}_ROLE = "user_{{.Option "class"}}_role"
	{{.Option "CLASS"}}_UID       = "{{.Option "class"}}_uid"
	{{.Option "CLASS"}}_NAME      = "{{.Option "class"}}_name"
	{{.Option "CLASS"}}_TYPE      = "{{.Option "class"}}_type"
	{{.Option "TABLE"}}_UID       = "{{.Option "table"}}_uid"
	COMPANY_UID        = "company_uid"
	CITY_UID        = "city_uid"
)

type User{{.Option "Class"}} struct {
	db.ModelWithUID
	UserUID  string `gorm:"type:char(32);index"`
	{{.Option "Class"}}UID string `gorm:"type:char(32);index"`
	Role     uint8
}
type {{.Option "Class"}} struct {
	db.ModelWithUID
	CompanyUID string `gorm:"type:char(32);index"`
	Name       string `gorm:"type:char(64)"`
	Type       uint8
}
type {{.Option "Table"}} struct {
	db.ModelWithUID
	{{.Option "Class"}}UID string `gorm:"type:char(32);index"`
	UserUID  string `gorm:"type:char(32);index"`
	Title    string `gorm:"type:char(64)"`
	Content  string
}


func init() { db.CmdModels("", &User{{.Option "Class"}}{}, &{{.Option "Class"}}{}, &{{.Option "Table"}}{}) }
